import java.awt.Color;

// Lrp Network Monitor: Simple network monitor written in Java
// Copyright (C) 2001 Martin Hejl
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

/**
 * Class that keeps info about the desired look
 *
 * @author       Martin Hejl
 * @version      20010421 0.8beta
 */
public class LrpStatLook {
	// The colors used in the applet
	// they're automatically initialized with the default colors
	protected static Color controlBackground 		= new Color(200,200,200);
	protected static Color controlForeground 		=     Color.black;
	protected static Color dataOnlineBackground    	= new Color(20,64,20);
	protected static Color dataTryingBackground    	= new Color(255,255,0);
	protected static Color dataOfflineBackground    = new Color(200,200,200);
	protected static Color dataNoDevBackground    	= new Color(255,255,255);
	protected static Color dataColor1        		=     Color.green;
	protected static Color dataColor2        		=     Color.cyan;
	protected static Color gridColor         		= new Color(0,96,0);
	protected static Color barBackground     		= new Color(40,128,40);
	protected static boolean drawComponentBorder 	= true;
	protected static boolean drawClientBorder    	= true;
	protected static int INSETS                  	= 5;
	protected static String statusFontName    		=  "SansSerif";
	protected static int statusFontSize         	= 10;
	protected static String titleFontName     		= "SansSerif";
	protected static int titleFontSize          	= 12;

	public static Color 	getControlBackground() 		{ return (controlBackground);}
	public static Color 	getControlForeground() 		{ return(controlForeground);}
	public static Color 	getDataOnlineBackground() 	{ return(dataOnlineBackground);}
	public static Color 	getDataTryingBackground() 	{ return(dataTryingBackground);}
	public static Color 	getDataOfflineBackground()	{ return(dataOfflineBackground);}
	public static Color 	getDataNoDevBackground() 	{ return(dataNoDevBackground);}
	public static Color 	getDataColor1() 			{ return(dataColor1);}
	public static Color 	getDataColor2() 			{ return(dataColor2);}
	public static Color 	getGridColor() 				{ return(gridColor);}
	public static Color 	getBarBackground() 			{ return(barBackground);}
	public static boolean 	getDrawComponentBorder() 	{ return(drawComponentBorder);}
	public static boolean 	getDrawClientBorder() 		{ return(drawClientBorder);}
	public static int 		getINSETS() 				{ return(INSETS);}
	public static String 	getStatusFontName() 		{ return(statusFontName);}
	public static int 		getStatusFontSize() 		{ return(statusFontSize);}
	public static String 	getTitleFontName() 			{ return(titleFontName);}
	public static int 		getTitleFontSize() 			{ return(titleFontSize);}

	public static void 		setControlBackground(Color c) 		{ controlBackground=c;}
	public static void 		setControlForeground(Color c) 		{ controlForeground=c;}
	public static void 		setDataOnlineBackground(Color c) 	{ dataOnlineBackground=c;}
	public static void 		setDataTryingBackground(Color c) 	{ dataTryingBackground=c;}
	public static void 		setDataOfflineBackground(Color c) 	{ dataOfflineBackground=c;}
	public static void 		setDataNoDevBackground(Color c) 	{ dataNoDevBackground=c;}
	public static void 		setDataColor1(Color c) 				{ dataColor1=c;}
	public static void 		setDataColor2(Color c) 				{ dataColor2=c;}
	public static void 		setGridColor(Color c) 				{ gridColor=c;}
	public static void 		setBarBackground(Color c) 			{ barBackground=c;}
	public static void 		setDrawComponentBorder(boolean b) 	{ drawComponentBorder=b;}
	public static void 		setDrawClientBorder(boolean b) 		{ drawClientBorder=b;}
	public static void 		setINSETS(int n) 					{ INSETS=n;}
	public static void 		setStatusFontName(String s) 		{ statusFontName=s;}
	public static void 		setStatusFontSize(int n) 			{ statusFontSize=n;}
	public static void 		setTitleFontName(String s) 			{ titleFontName=s;}
	public static void 		setTitleFontSize(int n) 			{ titleFontSize=n;}

	/**
	 * Takes the Hex-representation of a color
	 * (for example FF0000 for red)
	 * and returns the corresponding color
	 */
	public static Color parseColor(String strColor) {
		try {
			int col = Integer.valueOf(strColor,16).intValue();
			return (new Color(col));
		} catch (NumberFormatException e) {
			System.err.println("Malformed Color " + strColor );
			return (null);
		}
	}



}